Field NationDeveloper Platform
Field NationDeveloper Platform
Overview
List Webhook History GET
History

List Webhook History


Retrieve a paginated change history for a single webhook, including who made each change, what changed, and when it occurred. Use this audit trail to track configuration updates and troubleshoot issues.

GET
/api/v1/webhooks/{webhookId}/history

Authorization

bearer
AuthorizationBearer <token>

Standard HTTP Bearer authentication using JWT. Provide your API key in the Authorization header as 'Bearer '.

In: header

Path Parameters

webhookId*string

The webhookId parameter

Query Parameters

sortDirection?string

Sort direction for the results. Use 'ASC' for ascending order or 'DESC' for descending order. Default is 'DESC'.

sortBy?string

Sort by fields is: updatedAt, id, userId, action, default sort by is: id

page?number

Page number for pagination. Starts at 1. Default is 1.

perPage?number

Number of items to return per page. Default is 25 items. Maximum value varies by endpoint.

search?string

Search by fields is: userId, action

fields?array<>

Array of field names to include in the webhook history response. Only specified fields will be returned. Default includes: id, userId, action, changes, createdAt, updatedAt.

userId?string

Filter webhook history by the user ID who made the change. Use this to see all modifications made by a specific user.

curl -X GET "https://api-sandbox.fndev.net/api/v1/webhooks/string/history?sortDirection=string&sortBy=string&page=0&perPage=0&search=string&fields=string&userId=string"
{
  "id": 0,
  "userId": 0,
  "action": "string",
  "changes": {},
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}
{
  "metadata": {
    "timestamp": "2019-08-24T14:15:22Z",
    "path": "string"
  },
  "errors": [
    {
      "code": 0,
      "message": "string"
    }
  ],
  "result": {}
}
{
  "metadata": {
    "timestamp": "2019-08-24T14:15:22Z",
    "path": "string"
  },
  "errors": [
    {
      "code": 0,
      "message": "string"
    }
  ],
  "result": {}
}
{
  "metadata": {
    "timestamp": "2019-08-24T14:15:22Z",
    "path": "string"
  },
  "errors": [
    {
      "code": 0,
      "message": "string"
    }
  ],
  "result": {}
}

Response Body

application/json

application/json

application/json

application/json

Last updated on

Retry Delivery Log PATCH

Previous Page

Delete Webhook Attribute DELETE

Next Page

curl -X GET "https://api-sandbox.fndev.net/api/v1/webhooks/string/history?sortDirection=string&sortBy=string&page=0&perPage=0&search=string&fields=string&userId=string"